Fetch markets
curl --request GET \
--url https://github.com/openpx-trade/openpx/v1/markets/fetch_marketsimport requests
url = "https://github.com/openpx-trade/openpx/v1/markets/fetch_markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://github.com/openpx-trade/openpx/v1/markets/fetch_markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"exchange": "<string>",
"market_type": "binary",
"openpx_id": "<string>",
"status": "active",
"ticker": "<string>",
"title": "<string>",
"volume": 123,
"best_ask": 123,
"best_bid": 123,
"close_time": "2023-11-07T05:31:56Z",
"condition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_ticker": "<string>",
"last_trade_price": 123,
"min_order_size": 123,
"neg_risk": true,
"neg_risk_market_id": "<string>",
"numeric_id": "<string>",
"open_time": "2023-11-07T05:31:56Z",
"outcomes": [],
"result": "<string>",
"rules": "<string>",
"settlement_time": "2023-11-07T05:31:56Z",
"tick_size": 123,
"volume_24h": 123
}
],
"cursor": "<string>"
}{
"kind": "Authentication",
"message": "<string>"
}Markets
fetch_markets
List markets, optionally filtered by status, ticker, event, or series.
GET
/
v1
/
markets
/
fetch_markets
Fetch markets
List markets, optionally filtered by status, ticker, event, or series.
Query Parameters
Opaque cursor returned by a prior page (e.g. "eyJvIjoxMDB9").
Fetch all markets in this event — Kalshi event ticker or Polymarket event slug (e.g. "KXBTC-25MAR14").
Page size; clamped to per-exchange caps (Kalshi 1000, Polymarket 500) (e.g. 100).
Required range:
x >= 0Fetch only these market tickers — Kalshi tickers or Polymarket slugs (e.g. ["KXBTCD-25APR1517"]).
Fetch only markets in this Kalshi series ticker (e.g. "KXBTC"); ignored on Polymarket today.
Status filter; defaults to active (options: active, closed, resolved, all).
Market status filter for fetch_markets. Options: active, closed, resolved, all.
Available options:
active, closed, resolved, all 
